import request from '@/utils/request'
import { postEncryptRequest } from '@/utils/requestEncrypt';


// 测试 请求加密
export function testRequestEncrypt(query) {
  return postEncryptRequest(
    '/demo/apiEncrypt/apiEncrypt/testRequestEncrypt',
    query
  )
}

// 测试 返回加密
export function testResponseEncrypt(query) {
  return request({
    url: '/demo/apiEncrypt/apiEncrypt/testResponseEncrypt',
    method: 'post',
    data: query
  })
}

// 测试 请求加密 返回加密
export function testDecryptAndEncrypt(query) {
  return postEncryptRequest(
  '/demo/apiEncrypt/apiEncrypt/testDecryptAndEncrypt',
  query
  )
}

// 测试 请求加密
export function testArray(query) {
  return request({
    url: '/demo/apiEncrypt/apiEncrypt/testArray',
    method: 'post',
    data: query
  })
}
